പ്രമാണീകരണം

ബെയറർ ടോക്കണായി ഒരു API കീ അയക്കുക. ഈ എൻഡ്‌പോയിന്റ് അതിന്റെ സ്പെസിഫിക്കേഷനിൽ ഒരു പ്രത്യേക അനുമതി വ്യക്തമാക്കിയിട്ടില്ല, അതിനാൽ അനുമാനിക്കുന്നതിന് പകരം നിങ്ങളുടെ കീയ്ക്ക് ഏറ്റവും കുറഞ്ഞത് ആവശ്യമുള്ളത് നൽകുകയും പ്രതികരണം പരിശോധിക്കുകയും ചെയ്യുക.

ഈ എൻഡ്പോയിന്റ് ഓർഗനൈസേഷൻ ഐഡി സ്വീകരിക്കുന്നില്ല. നിങ്ങളുടെ കീ അത് ഉൾപ്പെടുന്ന ഓർഗനൈസേഷനെ ഇതിനകം തിരിച്ചറിയുന്നുണ്ട്, ഒപ്പം പ്രതികരണം അതിലേക്ക് പരിമിതപ്പെടുത്തിയിരിക്കുന്നു.

ശ്രമിച്ച് നോക്കൂ

കോണമ്ബ്രക്കറ്റുകളിലുള്ള ഏതും നിങ്ങളുടെ സ്വന്തം മൂല്യങ്ങൾ ഉപയോഗിച്ച് മാറ്റിസ്ഥാപിക്കുക, കീ പ്ലേസ്‌ഹോൾഡർ നിങ്ങളുടെ ഡാഷ്‌ബോർഡിലെ ഒരു കീ ഉപയോഗിച്ചും മാറ്റിസ്ഥാപിക്കുക.

curl -X GET https://api.zinndigital.com/v1/carts/{cartId} \
  -H "Authorization: Bearer zdk_live_…"

സൈൻ ഇൻ ചെയ്തിട്ടുണ്ടോ? നിങ്ങളുടെ ഡാഷ്‌ബോർഡിലെ API കൺസോൾ നിങ്ങളുടെ യഥാർത്ഥ ഓർഗനൈസേഷൻ ഐഡിയും നിങ്ങളുടെ സ്വന്തം കീയും പൂരിപ്പിക്കുകയും, യഥാർത്ഥ പ്രതികരണം (response) നിങ്ങൾക്ക് കാണുന്നതിനായി ലൈവ് API-ലേക്ക് അഭ്യർത്ഥന (request) പ്രവർത്തിപ്പിക്കുകയും ചെയ്യുന്നു. ഈ എൻഡ്പോയിന്റ് API കൺസോളിൽ തുറക്കുക

വിശദാംശങ്ങൾ

Returns the cart with its lines re-priced from the live catalog and its pre-tax totals.

പരാമീറ്ററുകൾ

പേര്തരംആവശ്യമാണ്എന്താണിത്
cartId (path)UuidഅതെThe cart's id.

പ്രതികരണം

പേര്തരംആവശ്യമാണ്എന്താണിത്
idUuidഅതെUUIDv7 identifier — sortable by creation time (docs/02 §8).
org_idUuidഅതെUUIDv7 identifier — sortable by creation time (docs/02 §8).
statusstring<open, checking_out, converted, abandoned, expired>അതെ
currencyCurrencyCode | nullഇല്ലFixed when the cart is opened, from `CartCreate.currency` or the `X-Zinn-Currency` header, and then locked — every line must match it. Null only on a legacy cart created before…
product_lineobjectഇല്ല
linesCartLine[]അതെ
subtotalMoneyAmountഅതെA money value — integer minor units + an ISO 4217 code (CLAUDE.md §2.8).
discountMoneyAmountഅതെA money value — integer minor units + an ISO 4217 code (CLAUDE.md §2.8).
totalMoneyAmountഅതെA money value — integer minor units + an ISO 4217 code (CLAUDE.md §2.8).
created_atstringഅതെ
updated_atstringഇല്ല

ഈ എൻഡ്‌പോയിന്റ് നൽകാൻ കഴിയുന്ന പിഴവുകൾ

401 · 403 · 404 · 429